Đến nội dung


Hình ảnh

Đố vui


  • Please log in to reply
1743 replies to this topic

#821 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 10 July 2012 - 08:52 PM

Hình đã gửi

Xin mời các bác thư giãn tiếp với điều kiện: số thao tác ghi lại trên dòng command là ngắn nhất!
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#822 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 10 July 2012 - 09:39 PM

Haanh kiểm tra lại đề xem điểm P như thế nào? Nếu không thì bài toán sẽ vô số nghiệm
  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#823 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 10 July 2012 - 10:31 PM

Bác nói chính xác ! Trong vô số nghiệm có số điểm M nằm trên đường phân giác, có 2 nghiệm dễ vẽ nhất. Chắc chắn là bác đã giải được 02 nghiệm rồi ! :rolleyes: :rolleyes: :rolleyes:

Nghiệm thứ nhất là điểm M trùng với điểm O tại gốc tọa độ. Nghiệm thứ hai M nằm trên điểm giữa của kích thước góc 50 độ. Hai nghiệm này bắt trúng điểm M dễ hơn cả vồ ếch, bác ạ!

Còn lại (n-2) nghiệm nữa, tức là tìm nghiệm thứ ba, xin mời bác Doan Van Ha cùng các bác tiếp tục thư giãn!
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#824 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 11 July 2012 - 08:09 AM

Giải theo giải tích lớp 12 được ko vậy bác ? hihix
  • 1

#825 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 11 July 2012 - 02:21 PM

Giải theo giải tích lớp 12 được ko vậy bác ? hihix

Nếu giải được thì càng vui bác à! Mong bác sớm đưa ra đáp án!

Về giải toán AutoCAD bằng giải tích, trên diễn đàn đã có rồi. Thí dụ bài toán mà Hoan2182 đã đưa ra:
Em có:
- Đường thẳng d1 đi qua hai điểm A (25,0,50) và B(25,50,0)
- Đường thẳng d2 đi qua hai điểm C(0,25,0) và D(25,50,50)
Em đang loay hoay tìm cách vẽ đường vuông góc chung của hai đường thẳng này trên AutoCAD
1- Bác Anhcos đã đưa ra bài toán về không gian 3 chiều:
Gọi G là giao điểm vuông góc giữa đường thẳng qua M và đường thẳng có sẵn L.
G thuộc L --> phương trình tham số của L(t)
xG = StartPoint(0) + A*t
yG = StartPoint(1) + B*t
zG = StartPoint(2) + C*t
với (A,B,C) là vector chỉ phương của L, sử dụng thuộc tính L.Normal để xác định.

2- Bác Pdle cũng đưa ra thuật toán và tìm ra kết quả đúng:
Mặt phẳng vuông góc với d1 có phương trình là :
0x+50y-50z+D1=0
Mặt phẳng vuông góc với d2 có phương trình là:
25x+25y+50z+D2=0
Đường thẳng cần tìm có phương trình là:
0x+50y-50z+D1=0 và 25x+25y+25z+D2=0. Từ đây có thể dựng nó qua 2 điểm tìm được từ phương trình trên!

3- Bác Phamngoctukts lại sử dụng lisp để giải:

Bạn làm theo như bác anhcos chỉ là okê.
Với trường hợp là line mình có sẵn sub sau bạn có thể dùng luôn


Function distance(p1 As Variant, p2 As Variant) As Single
Dim x1, x2, y1, y2
x1 = p1(0): y1 = p1(1)
x2 = p2(0): y2 = p2(1)
distance = ((x1 - x2) ^ 2 + (y1 - y2) ^ 2) ^ 0.5
End Function

Sub linevuong(line As Object, p As Variant)
Dim p1 As Variant, p2 As Variant, pt(0 To 2) As Double
p1 = line.StartPoint
p2 = line.EndPoint
Dim circleObj As AcadCircle
Dim li As AcadLine
Dim radius As Double
radius = distance(p1, p)
Set circleObj = ThisDrawing.ModelSpace.AddCircle(p, radius)
Dim intPoints As Variant
intPoints = circleObj.IntersectWith(line, acExtendBoth)
pt(0) = (intPoints(0) + p1(0)) / 2: pt(1) = (intPoints(1) + p1(1)) / 2: pt(2) = 0
Set li = ThisDrawing.ModelSpace.AddLine(pt, p)
circleObj.Delete
End Sub

Sub ve()
Dim line As AcadLine
Dim pic As Double
Dim p As Double
Dim ob As AcadEntity
Dim l As AcadEntity
Dim po As Variant
ThisDrawing.Utility.GetEntity line, pic, "chon line"
po = ThisDrawing.Utility.GetPoint(, "chon diem: ")
linevuong line, po
End Sub


  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#826 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 14 July 2012 - 05:10 PM

Muốn xác định đường vuông góc chung của hai đường thẳng chéo nhau trong không gian dùng AutoCAD giải là nhanh nhất, đây là lời giải của bác Phamngoctukts:

Mình có cách này bạn than khảo nhé. Copy d2 cắt d1 (bắt điểm nearest) gọi là d1'. Dựng hình bình hành ABCD từ các đỉnh của d1 d1'. Extrude hình bình hành này với chiều cao là bắt điểm trên d2. Nối đỉnh A' C' trên của hình bình hành đã extrude cắt d2 tại o. Từ o vẽ đường vuông góc với d1 ta được đường vuông góc chung. Hình đã gửi


Em đưa ra thí dụ trên để thấy rằng dùng AutoCAD để dựng hình nhanh hơn là xác định tọa độ bằng toán học sau đó mới vẽ!

Hình đã gửi

Không thấy bác Hoa dai nhan giải đố.
Em đành phải tự giải vậy:
Bước 1: Xoay hệ trục tọa độ sao cho OX trùng với cạnh OB > Gõ lệnh L > Polar Tracking bắt điểm P > Vẽ PB vuông góc với OB > Enter kết thúc lệnh.
Bước2: Enter để tiếp tục vẽ bằng lệnh Line > Polar Tracking bắt điểm M nằm ở vị trí bất kỳ trên đường phân giác > Vẽ MB > vẽ tiếp MA và AP > xong!

(Em đưa hệ trục tọa độ vào điểm O để dễ giải đố. Giả sử điểm O không trùng với gốc tọa độ và OB// OX thì chỉ cần một lệnh L là vẽ được, không cần phải di chuyển hệ trục tọa độ)
Như vậy chỉ cần dùng 2 lệnh vẽ duy nhất! Có bác nào có cách khác nhanh hơn không?
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#827 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 14 July 2012 - 11:40 PM


Hình đã gửi
(Nguồn câu đố: http://www.cadviet.c...showtopic=64710)

Câu đố tiếp theo là: Vì sao mặt cắt của tay vịn bị xoắn dần đều? Cách khắc phục??? Xin mời các bác tiếp tục thư giãn!

Vẫn còn câu đố trên, rất đơn giản mà không có bác nào giải? :(
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#828 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 30 July 2012 - 02:12 PM

Hình đã gửi
Đố vui kỳ này:
Câu 1: Hình vẽ 1 là đoạn 3D được Loft từ đáy là hình vuông có có kích 52x52 , đỉnh trên là hình tròn Ø52:
Vẽ nhanh mặt cắt có tiết diện nhỏ nhất của ống tại vị trí vuông 90° như hình vẽ.

Câu 2: Hình vẽ 2 là đường tròn có bán kính R, biết phần có giới hạn bởi kích thước H1 có diện tích S1:
Hãy xác định nhanh kích thước H2, sao cho phần giới hạn bởi H2 có diện tích S2. (Và bài toán ngược lại là biết H2 và S2 ...xác định H1 để có S1 )

Anh Tuệ và bác Doan Van Ha đã viết lisp trong một bài toán tương tự xem trong bài viết dưới đây:
http://www.cadviet.c...showtopic=62922 Xin mời các bác tiếp tục thư giãn cho vui!
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#829 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 03 August 2012 - 02:29 PM

1-Gợi ý câu đố hình 3D dạng tay vịn cầu thang xoắn vặn dần đều (Xem bài viết phía trên):
AutoCAD đời cao có lệnh Swep thì cách làm đơn giản không có gì phải ra câu đố nữa.
AutoCAD đời thấp, nếu gắn hệ trục tọa độ UCS vào điểm đầu của đường dẫn để vẽ tiết diện mặt cắt, rồi dùng lệnh EXTRUDE nó sẽ bị xoắn vặn dần đều.
Để khắc phục sự cố trên, phải vẽ tiết diện mặt cắt trước, không cần phải gắn UCS mà chỉ cần dùng lệnh duy nhất: (………) ???

2-Đáp án câu 1 Hình 1 là đoạn 3D được Loft từ đáy là hình vuông có có kích 52x52 , đỉnh trên là hình tròn Ø52 (Xem bài viết phía trên):
- Dùng lệnh Slice cắt đứt rời hình 3D ( Xem ảnh sẽ thấy hai mầu khác nhau. Tương tự như dùng lệnh BREAK với sự lựa chon tham số F để cứa đứt đôi một đường thẳng tại một vị trí bất kỳ trên đường thẳng).
-Dùng lệnh: solidedit để copy faces > Xong! Có bác nào có đáp án khác không???

3- Gợi ý câu 2 hình 2 có thể dùng AutoCAD hoặc AutoLisp để giải.
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#830 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 07 August 2012 - 08:57 PM

Hình đã gửi
1- Làm thế nào để giãn dòng vuông vắn mà nét của dòng bị giãn nhiều vẫn thanh mảnh đều như nhau như hình ảnh?
2- Vẽ nhanh 04 đường tiếp tuyến chung của hai hình ellipse bất kỳ như hình ảnh?
Xin mời các bác tiếp tục thư giãn!
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#831 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 15 August 2012 - 03:18 PM

http://www.cadviet.c...91_do_vui_1.dwg
Các bạn thử sức nhé:
Các dữ kiện trong hình vẽ, yêu cầu: Vẽ đường tròn C1, có tâm thuộc đường thẳng a, tiếp xúc đường thẳng b và tiếp xúc trong với đường tròn C.
  • 1

#832 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 15 August 2012 - 04:12 PM

Cách vẽ:
1). Mirror © qua đường thẳng a, ta được đường tròn (C').
2). Vẽ circle bằng kiểu Tan, Tan, Tan. Với 3 đối tượng của 3 Tan là ©, (C') và đường thẳng a => Circle cần vẽ.
  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#833 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 15 August 2012 - 04:45 PM

http://www.cadviet.c...91_do_vui_1.dwg Các bạn thử sức nhé: Các dữ kiện trong hình vẽ, yêu cầu: Vẽ đường tròn C1, có tâm thuộc đường thẳng a, tiếp xúc đường thẳng b và tiếp xúc trong với đường tròn C.

Hề hề hề,
Cách vẽ của bác DoanvanHa mình chưa thực hiện được do chỉ biết lệnh vẽ vòng tròn với option TTr chứ không biết lệnh vẽ vòng tròn với option TTT.
Bởi vậy mình làm cách chuối là sử dụng việc giải phương trình lượng giác để tìm ra góc giữa đường nối tâm của C và C1 với đường thẳng song song trục y và đi qua tâm của C.
Theo số liệu đã cho thì góc đó là 25.345............. độ.
Từ đó vẽ tia bán kính này cắt đường thẳng a tại đâu thì đó là tâm C1.
Có tâm rồi thì việc vẽ vòng tròn không còn là chuyện phải bàn nữa.
Hề hề hề.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#834 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 15 August 2012 - 04:50 PM

Hề hề hề,
Cách vẽ của bác DoanvanHa mình chưa thực hiện được do chỉ biết lệnh vẽ vòng tròn với option TTr chứ không biết lệnh vẽ vòng tròn với option TTT.

Nó vô cùng đơn giản bác PTB ạ!
Bác chọn cách vẽ TTT, sau đó rê mouse đến từng đối tượng tiếp xúc. Khi nào nó xuất hiện cái hình màu vàng thì bấm đại vào nó. Bác bấm đại 3 cái cho 3 đối tượng tiếp xúc thì nó tự vẽ circle à.
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#835 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 15 August 2012 - 04:54 PM

Hề hề hề,
Cách vẽ của bác DoanvanHa mình chưa thực hiện được do chỉ biết lệnh vẽ vòng tròn với option TTr chứ không biết lệnh vẽ vòng tròn với option TTT.
Bởi vậy mình làm cách chuối là sử dụng việc giải phương trình lượng giác để tìm ra góc giữa đường nối tâm của C và C1 với đường thẳng song song trục y và đi qua tâm của C.
Theo số liệu đã cho thì góc đó là 25.345............. độ.
Từ đó vẽ tia bán kính này cắt đường thẳng a tại đâu thì đó là tâm C1.
Có tâm rồi thì việc vẽ vòng tròn không còn là chuyện phải bàn nữa.
Hề hề hề.

Cách vẽ Circle option TTT chẳng qua là cách vẽ vòng tròn qua 3 điểm

Command: _circle Specify center point for circle or [3P/2P/Ttr (tan tan radius)]: 3P
Với 3 điểm là 3 lần bắt tangent vào đối tượng (shift + phải chuột -> tangent)
Bác có thể vào menu Draw -> Circle -> Tan, tan, tan để vẽ
Hoặc là bác thử dùng lệnh này : AI_CIRCTAN
  • 2

#836 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 15 August 2012 - 10:19 PM

Các bác về offline vui quá! :rolleyes: Em lại ra câu tiếp theo, lời giải (hoặc đáp án) của câu đố này, chính là gợi ý để giả câu đố vẽ 04 đường tiếp tuyến của 02 hình ellipse ở trên.

Hình đã gửi

Xin mời các bác tiếp tục thư giãn và tìm ra cách giải nhanh nhất ?
Đây là file bản vẽ :
http://www.cadviet.c...7_haanh1508.dwg
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#837 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 18 August 2012 - 10:05 AM

Hình đã gửi
(Đính chính chữ trên ảnh: Vẽ 2 đường thẳng // với đoạn thẳng đã cho và tiếp xúc với đường spline)

CAD2013 có tính năng vượt trội nên việc giải bài toán trên trở nên đơn giản rất nhiều. Em đã vẽ được hai điểm thỏa mãn điều kiện đầu bài. Các bác mở File bản vẽ của em ra kiểm tra thử bằng 2 cách :
- Gõ ID di chuột vào tiếp điểm, khi thấy hiện lên chữ Intersetction thì bấm chuột nó sẽ hiện ra tọa độ của tiếp điểm và nó chỉ có duy nhất một tiếp điểm mà thôi.
- Dùng lệnh trim, chọn đường spline rồi …sẽ biết nó đúng là tiếp điểm.

http://www.cadviet.c...678_dovuiha.dwg
Xin mời các bác giải đố cho vui!

@Anh Tuệ: Chị Hà em có thắc mắc : hình như anh Tuệ giận chị ấy hay sao mà không thấy anh giải đố?

4). Chúc Haanh và chồng & con hưởng những ngày quê êm ả. Hy vọng sớm gặp lại để lên 4rum tám cho vui.
Thân!

Chỉ có chị Hà em và hai cháu về quê nội thôi bác ơi! Chắc là còn lâu chị Hà em mới trở 4rum tám cho vui. Chị Hà em dự đoán bác đã viết lisp để xác định giao của đường thẳng và mặt phẳng thì với bài toán trên chị Hà em tin rằng bác sẽ viết lisp. Vì thế chị ấy đã cho thêm cả dữ liệu về tọa độ điểm của các đường để bác tham khảo.
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#838 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 18 August 2012 - 10:49 AM

Hình đã gửi
(Đính chính chữ trên ảnh: Vẽ 2 đường thẳng // với đoạn thẳng đã cho và tiếp xúc với đường spline)

CAD2013 có tính năng vượt trội nên việc giải bài toán trên trở nên đơn giản rất nhiều. Em đã vẽ được hai điểm thỏa mãn điều kiện đầu bài. Các bác mở File bản vẽ của em ra kiểm tra thử bằng 2 cách :
- Gõ ID di chuột vào tiếp điểm, khi thấy hiện lên chữ Intersetction thì bấm chuột nó sẽ hiện ra tọa độ của tiếp điểm và nó chỉ có duy nhất một tiếp điểm mà thôi.
- Dùng lệnh trim, chọn đường spline rồi …sẽ biết nó đúng là tiếp điểm.

http://www.cadviet.c...678_dovuiha.dwg
Xin mời các bác giải đố cho vui!

@Anh Tuệ: Chị Hà em có thắc mắc : hình như anh Tuệ giận chị ấy hay sao mà không thấy anh giải đố?


Chỉ có chị Hà em và hai cháu về quê nội thôi bác ơi! Chắc là còn lâu chị Hà em mới trở 4rum tám cho vui. Chị Hà em dự đoán bác đã viết lisp để xác định giao của đường thẳng và mặt phẳng thì với bài toán trên chị Hà em tin rằng bác sẽ viết lisp. Vì thế chị ấy đã cho thêm cả dữ liệu về tọa độ điểm của các đường để bác tham khảo.

Hề hề hề,
Hoan2...2 trở lại.
Lợi hại hơn xưa ...... nhiều.

Nếu là phải dùng CAD2013 thì mình vái cả nón vì chả thể làm gì được với cái thằng 2004 cùi.
Nếu là dùng lisp thì chơi ngon nhưng mà ..... hơi tốn..... mực.
Còn vẽ bằng CAD2004 thì.... hãy đợi đấy...
Hề hề hề,...
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#839 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 18 August 2012 - 01:24 PM

Em rất vui khi được gặp bác Phamthanhbinh ở đây, cũng lâu rồi không giao lưu với bác. CAD2013 chỉ cần dùng 1 lệnh cơ bản có phụ trợ và thêm một lệnh cơ bản nữa là được .
CAD2004 làm được, nhưng phải qua vài phép biến đổi, chỉ dùng các lệnh vẽ cơ bản và phải tốn thêm lệnh erase. (Cái này em biết được là do chị Hà em nói em mới biết, theo chị Hà em thì CAD2011 cũng không làm được). Mục tiêu ra câu đố của chị Hà em chỉ đơn giản là mong mọi người tham gia để tìm ra cách làm nhanh nhất, khai thác hết tiềm năng vốn tự có của CAD, lời giả câu đố ngắn gọn hơn đáp án là chuyện bình thường. Nếu bác chơi lisp, rút ngắn được chỉ có lợi trở lên và vui nhiều hơn! (Ở nhà em vẫn gọi chị Hà Anh là chị Hà, em thích gọi tên đệm hơn).
Em chào tạm biệt bác, kính chúc bác cùng gia đình dồi dào sức khỏe và hạnh phúc nhiều!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#840 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 August 2012 - 07:35 PM

Hình đã gửi
(Đính chính chữ trên ảnh: Vẽ 2 đường thẳng // với đoạn thẳng đã cho và tiếp xúc với đường spline)

CAD2013 có tính năng vượt trội nên việc giải bài toán trên trở nên đơn giản rất nhiều. Em đã vẽ được hai điểm thỏa mãn điều kiện đầu bài. Các bác mở File bản vẽ của em ra kiểm tra thử bằng 2 cách :
- Gõ ID di chuột vào tiếp điểm, khi thấy hiện lên chữ Intersetction thì bấm chuột nó sẽ hiện ra tọa độ của tiếp điểm và nó chỉ có duy nhất một tiếp điểm mà thôi.
- Dùng lệnh trim, chọn đường spline rồi …sẽ biết nó đúng là tiếp điểm.

http://www.cadviet.c...678_dovuiha.dwg
Xin mời các bác giải đố cho vui!

@Anh Tuệ: Chị Hà em có thắc mắc : hình như anh Tuệ giận chị ấy hay sao mà không thấy anh giải đố?

....

Là vì anh bận quá, em à. Gặp câu "mì ăn liền" thì anh xơi luôn, gặp "củ khoai" thì để từ từ anh nghiền ngẫm
Mà anh thấy, cái file dovuiha.dwg giải trật rồi đó em!
Zoom to lên cái Line ở dưới thấy nó cắt Spline
Zoom to lên cái Line ở trên thấy nó cắt Spline
  • 1